%define module cffi

Name:       python-%{module}
Version:    1.15.0
Release:    %mkrel 1
Summary:    Foreign Function Interface for Python calling C code.
License:    MIT
Group:      Development/Python
URL:        http://cffi.readthedocs.org
Source0:    %{module}-%{version}.tar.xz
Patch1:     cffi-linking.patch

BuildRequires:  libffi-devel

%description
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python. The
interface is based on LuaJIT’s FFI.

%package -n python3-%{module}
Summary:        Foreign Function Interface for Python calling C code.
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pycparser
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python. The
interface is based on LuaJIT’s FFI.

%prep
%setup -q -n %{module}-%{version}
%patch1 -p1

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


%files -n python3-%{module}
%{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/*.so

%changelog
* Sat Mar 05 2022 TerryN <terryn94 at gmail.com> 1.15.0-1pclos2022
- update and rebuild for python 3.10

* Sun May 16 2021 tex - 1.14.5-1pclos2021
- create pkg from pip3
